Bug 20708 - Withdrawn status should show when placing a request in staff client
Summary: Withdrawn status should show when placing a request in staff client
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 22021
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-03 20:14 UTC by Nick Clemens
Modified: 2020-03-09 17:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 20708: Add Withdrawn status when placing a request in staff (1.68 KB, patch)
2020-02-04 10:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20708: Add Withdrawn status when placing a request in staff (1.73 KB, patch)
2020-02-04 12:44 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-05-03 20:14:15 UTC
To recreate:
1 - Backup your db (or not, I am not your parent)
2 - Set some items as withdrawn (UPDATE items SET withdrawn = 1)
3 - Try to place some holds
4 - The screen says no items are available, but it is hard to see why
5 - Restore your database, or just live your life :-)
Comment 1 Jonathan Druart 2018-05-03 20:37:40 UTC
This is a hard one, we reject the hold because of IsAvailableForItemLevelRequest, which is very poorly written...
Comment 2 Kelly McElligott 2020-01-24 12:24:54 UTC
I think this is a valid bug.  Koha recently made the item display as Damaged if it were in fact damaged when placing a hold and this allows staff to see that the item that is possibly being placed on hold is Withdrawn.
Comment 3 Jonathan Druart 2020-02-04 10:19:20 UTC
Created attachment 98370 [details] [review]
Bug 20708: Add Withdrawn status when placing a request in staff

Same as bug 22021 for the withdrawn status.

1. Withdraw an item
2. Place an hold on this item
Notice the new "withdrawn" status in the information column
Comment 4 Nick Clemens 2020-02-04 12:44:32 UTC
Created attachment 98386 [details] [review]
Bug 20708: Add Withdrawn status when placing a request in staff

Same as bug 22021 for the withdrawn status.

1. Withdraw an item
2. Place an hold on this item
Notice the new "withdrawn" status in the information column

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2020-02-04 12:44:51 UTC
Trivial patch, works well, passing QA
Comment 6 Martin Renvoize 2020-02-04 13:39:11 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-02-11 00:10:32 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 8 Lucas Gass 2020-03-09 17:11:51 UTC
Doesnt apply clean to 19.05.x, no backport